Name:      ocsinventory-ipdiscover
Version:   2.0.5
Release:   6%{?dist}
Summary:   Open Computer and Software Inventory Next Generation client

Group:     Development/Libraries
License:   GPLv2+
URL:       http://ocsinventory.sourceforge.net/
Source0:   http://launchpad.net/ocsinventory-unix-agent/stable-2.0/%{version}/+download/Ocsinventory-Unix-Agent-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
Open Computer and Software Inventory Next Generation is an application
designed to help a network or system administrator keep track of computer
configuration and software installed on the network. 

It also allows deploying softwares, commands or files on Windows and 
Linux client computers.

%{name} provide the ipdiscover command used by 
client agent for Linux.


%description -l fr
Open Computer and Software Inventory Next Generation est une application
destinée à aider l'administrateur système ou réseau à garder un oeil sur
la configuration des machines du réseau et sur les logiciels qui y sont
installés. 

Elle autorise aussi la télédiffusion (ou déploiement) de logiciels, 
de commandes ou de fichiers sur les clients Windows ou Linux.

%{name} fournit la commande ipdiscover utilisée par 
le client pour Linux.


%prep
%setup -q -n Ocsinventory-Unix-Agent-%{version}

touch -r README timestamp
perl -pi -e 's/\r//' README
touch -r timestamp README


%build
cd resources/ipdiscover
gcc %{optflags} -o ipdiscover ipdiscover.c


%install
rm -rf %{buildroot}
install -D -m 755 resources/ipdiscover/ipdiscover \
        %{buildroot}%{_sbindir}/ipdiscover


%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root, -)
%doc AUTHORS Changes LICENSE README THANKS
%{_sbindir}/ipdiscover


%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Apr 14 2012 Remi Collet <remi@fedoraproject.org> - 2.0.5-1
- update to 2.0.5

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.01-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.01-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.01-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.01-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Feb  9 2008 Remi Collet <Fedora@famillecollet.com> 1.01-4
- rebuild for gcc 4.3

* Thu Aug 23 2007 Remi Collet <Fedora@famillecollet.com> 1.01-3
- Fix License
- F-8 rebuild (BuildID)

* Fri Apr 06 2007 Remi Collet <Fedora@famillecollet.com> 1.01-2
- change source URL
- add ocsinventory-ipdiscover.patch
- preserve README timestamp

* Tue Mar 20 2007 Remi Collet <Fedora@famillecollet.com> 1.01-1
- split from ocsinventory-client
- update to 1.01
